<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Requests;
use App\Http\Requests\SaveUserRequest;
use App\Http\Controllers\Controller;
use App\Http\Requests\HomeAdminFormRequest;
use Illuminate\Http\File;
use Illuminate\Support\Facades\Input;
use DB;
use View;
use Auth;
use Image;
use Illuminate\Support\Facades\Hash;

class AdminController extends Controller
{

  public function index(Request $request)
  {
    if (Auth::user()->tipo == 1) {
            $notas = DB::table('notas')
              ->orderBy('id_nota','DESC')->limit(5)
              ->get();
        } else {
            $id = Auth::user()->id;
            $notas = DB::table('notas')
                ->where('notas.periodista', $id)
                ->orderBy('id_nota','DESC')->limit(5)
                ->get();
        }
    return view('admin.admin', compact('notas'));
  }

  private function createSlug($titulo)
  {
    $titulo = strtolower($titulo);
    $find = array('á', 'é', 'í', 'ó', 'ú', 'ñ', 'É', 'Á', 'Í', 'Ó', 'Ú');
    $repl = array('a', 'e', 'i', 'o', 'u', 'n', 'E', 'A', 'I', 'O', 'U');
    $titulo = str_replace($find, $repl, $titulo);
    $find = array(' ', '&', '\r\n', '\n', '+');
    $titulo = str_replace($find, '-', $titulo);
    $find = array('/[^a-z0-9\-<>]/', '/[\-]+/', '/<[^>]*>/');
    $repl = array('', '-', '');
    $titulo = preg_replace($find, $repl, $titulo);
    return $titulo;
  }


  public function tags()
  {
    $info = DB::table('tag')->get();
    return view('admin.home.tags', compact('info'));
  }
  public function tags_edit($id)
  {
    $info = DB::table('tag')->get();
    $edit = DB::table('tag')->where('id_tag', $id)->get();
    return view('admin.home.tags', compact('info', 'edit'));
  }
  public function tags_add(Request $request)
  {
    $titulo = $request->titulo;
    $color = $request->color;
    $active = $request->active;
    $info = DB::table('tag')->insert(['id_subcategoriaTag' => 1, 'descripcionTag' => $titulo]);
    $message = 'Se actualizó correctamente';
    return redirect()->back()->with('message', $message);
  }
  public function tags_ed(Request $request)
  {
    $id = $request->id;
    $titulo = $request->titulo;
    $id = DB::table('tag')->where('id_tag', $id)->update(['descripcionTag' => $titulo]);
    $message = 'Se actualizó correctamente';
    return redirect()->back()->with('message', $message);
  }
  public function tags_del(Request $request)
  {
    $id = $request->id;
    DB::table('tag')->where('id_tag', $id)->delete();
    $message = 'Se actualizó correctamente';
    $exito = 'exito';
    return redirect()->back()->with('message', $message)->with('exito', $exito);
  }



  public function newsletter()
  {
    $usuarios = DB::table('newsletter')->get();
    return view('admin.administrador.newsletter', compact('usuarios'));
  }
  public function editor(){
    $editor = DB::table('users as s')
            ->orderBy('s.id', 'asc')
            ->where('tipo', 2)
            ->get();
        return view('admin.editor.index', ["editor" => $editor]);
  }
   public function agregar_editor()
    {
        return view("admin.editor.create");
    }
    public function editor_edit($id)
    {
        $administrador = DB::table('users')
            ->where('id', $id)
            ->get();
        return view("admin.editor.edit", compact('administrador'));
    }
  //crud perfil
  public function perfil()
  {
    $info = DB::table('users')->where('id', Auth::user()->id)->get();
    return view('admin.administrador.perfil', compact('info'));
  }
  public function perfil_ed(Request $request)
  {
    $id = $request->id;
    $nombre = $request->nombre;
    $slug = $this->createSlug($nombre);
    $email = $request->email;
    $nickname = $request->nickname;
    $slug_nickname = $this->createSlug($nickname);
    $descripcion = $request->descripcion;
    $imagen_actual = $request->imagen_actual;
    if ($request->hasFile('img')) {

      $file = $request->file('img');
       $extension = $request->file('img')->extension();
      if (isset($file) || $extension == 'png' || $extension == 'jpg' || $extension == 'gif' || $extension == 'webp') {
        //     $destinationPath = 'public/periodistas/';
        $rand = rand(1, 10);
        // $img_perfil = $slug . '-periodista' . $rand . '.png';
        $img_webp = $slug . '-periodista' . $rand . '.webp';
        //     $file->move($destinationPath, $img_perfil);
        if (!empty($request->imagen_actual)) {
          if ($request->imagen_actual != 'perfil.png') {
            if (file_exists('public/periodistas/' . $request->imagen_actual)) {
              if (!unlink('public/periodistas/' . $request->imagen_actual)) {
                $e = 0;
              } else {
                $e = 1;
              }
            }
           
          }
        }
        $save_path = "public/periodistas/";
        if (!file_exists($save_path)) {
            mkdir($save_path, 777, true);
        }
      
        $image = Image::make(request()->img);
        // $image->save('public/periodistas/' . $img_perfil);
        $image->encode('webp')->save('public/periodistas/' . $img_webp);
      } else {
        $img_webp = $imagen_actual;
      }
      DB::table('users')->where('id', $id)->update([
        'name' => $nombre,
        'email' => $email,
        'nickname' => $slug_nickname,
        'texto' => $descripcion,
        'periodista_img' => $img_webp
      ]);
    } else {
      DB::table('users')->where('id', $id)->update([
        'name' => $nombre,
        'email' => $email,
        'nickname' => $slug_nickname,
        'texto' => $descripcion
      ]);
    }
    $message = 'Se actualizó correctamente';
    return redirect()->back()->with('message', $message);
  }

  public function perfil_pass(Request $request)
  {
    if ($request->password != $request->password_confirmation) {
      $message = 'Las contraseñas no coinciden';
      return redirect()->back()->with('message', $message);
    }
    $id = $request->id;

    DB::table('users')->where('id', $id)->update([
      'password' => Hash::make($request->password)
    ]);
    $message = 'Se actualizó correctamente';
    return redirect()->back()->with('message', $message);
  }

  public function ajax_file(Request $request)
  {
    if ($request->hasFile('file')) {
      $file = $request->file('file');
      $file_name = pathinfo($file->getClientOriginalName(), PATHINFO_FILENAME);
      $filename_fav = $this->createSlug($file_name);

      $rand =  rand(1, 40);
      $name = $filename_fav . '-' . $rand . '.webp';
      //$file->move(public_path() . '/public/', $name);

      $image = Image::make(request()->file);
      // $image->save('public/imagenes/' . $filename_fav . '-' . $rand . '.jpg');
      $image->encode('webp')->save('public/imagenes/' . $filename_fav . '-' . $rand . '.webp');
      return response()->json([
        "success" => true,
        "file" => $name
      ]);
    }
    return response()->json([
      "success" => false,
      "file" => ''
    ]);
  }

  public function ajax_file_document(Request $request)
  {
    if ($request->hasFile('doc_file')) {
      $file = $request->file('doc_file');
      $file_name = pathinfo($file->getClientOriginalName(), PATHINFO_FILENAME);
      $extension = $file->extension();
      //extensión 
      $file_size = $file->getSize();
      $size_convert = number_format($file_size / 1048576,2);
      $size = $size_convert.' MB';
      // $extension = $request->file->getClientOriginalExtension();
      $filename_fav = $this->createSlug($file_name);

      $rand =  rand(1, 40);
      $name = $filename_fav . '-' . $rand . '.'. $extension;
      $file->move(public_path() . '/documentos/', $name);

      return response()->json([
        "success" => true,
        "file" => $name,
        "file_url" => url('public/documentos/'.$name),
        "extension" => $extension,
        "size" => $size
      ]);
    }
    return response()->json([
      "success" => false,
      "file" => ''
    ]);
  }

  public function csv(Request $request){
    $archivo = $request->file('file');
    if (isset($archivo)) {
      $handle = fopen($request->file('file')->getPathName(), "r");
      while($data = fgetcsv($handle)){
      $titulo = $data[0];
      $slug = $this->createSlug($titulo);
      $texto = $data[1];
      $fecha = $data[2].' 00:00:00';
      $img = $data[3];
      $categorias = $data[4];
      $etiqueta = $data[5];
      $list_category = explode('|', $categorias);
      $count = count($list_category);
      $etiquetas = str_replace("|",",",$etiqueta);

      $id = DB::table('notas')->insertGetId([
          'titulo' => $titulo,
          'slug' => $slug,
          'texto' => $texto,
          'frase' => null,
          'imagen' => $img,
          'video' => null,
          'facebook' => $etiquetas,
          'fecha' => $fecha,
          'status' => 1,
          'periodista' => 1,
          'sitio' => 1,
          'descripcion' => null,
          'categoria' => 1,
          'subcategoria' => null,
          'seccion' => 1,
          'template' => 1,
          'principal' => 1,
          'prioridad' => 0,
      ]);

      if($count != 0){
        foreach ($list_category as $key => $v) {
          $cat = DB::table('categorias')->where('nombre', $v)->get();
          if(count($cat) != 0){
              $id_cat_has_nota = DB::table('nota_has_categoria')->insertGetId([
                'id_nota' => $id,
                'id_categoria' => $cat[0]->id_cat
             ]);
          } else {
              $slug_cat = $this->createSlug($v);                  
              $id_cat = DB::table('categorias')->insertGetId([
                  'nombre' => $v,
                  'slug' => $slug_cat,
                  'descripcion' => null,
                  'tags' => null,
              ]);
              $id_cat_has_nota = DB::table('nota_has_categoria')->insertGetId([
                  'id_nota' => $id,
                  'id_categoria' => $id_cat,
              ]);
          }
            
        }
      } //end if count


      } // end while
      fclose($handle);
    } 
    echo 'Se actualizó correctamente';
   
  }

  public function secciones(){
    $info = DB::table('categorias')->orderBy('nombre', 'DESC')->get();
    return view('admin.secciones.lista_secciones', compact('info'));
  }
  public function secciones_edit($id){
    $info = DB::table('categorias')->orderBy('nombre', 'DESC')->get();
    $edit = DB::table('categorias')->where('id_cat', $id)->orderBy('nombre', 'DESC')->get();
    return view('admin.secciones.lista_secciones_edit', compact('info','edit'));
  }
  public function secciones_add(Request $request){
    
    $nombre = $request->nombre;
    $seccion = $request->seccion;
    $estatus = $request->estatus;
    $slug = $request->slug;
    $descripcion = $request->descripcion;
    $tags = $request->tags;
    $info = DB::table('categorias')->insert([
       'nombre' => $nombre,
        'slug' => $slug,
        'descripcion' => $descripcion,
        'tags' => $tags,
        'seccion' => $seccion,
        'estatus' => $estatus
    ]);
    $message = 'Se actualizó correctamente';
    return redirect()->back()->with('message', $message);
  }
  public function secciones_ed(Request $request){
    $id = $request->id;
    $nombre = $request->nombre;
    $seccion = $request->seccion;
    $estatus = $request->estatus;
    $slug = $request->slug;
    $descripcion = $request->descripcion;
    $tags = $request->tags;
    DB::table('categorias')->where('id_cat', $id)->update([
        'nombre' => $nombre,
        'slug' => $slug,
        'descripcion' => $descripcion,
        'tags' => $tags,
        'seccion' => $seccion,
        'estatus' => $estatus
      ]);
    
    $message = 'Se actualizó correctamente';
    return redirect()->back()->with('message', $message);
  }
  public function secciones_del(Request $request){
    DB::table('categorias')->where('id_cat', $request->id)->delete();
    $message = 'Se actualizó correctamente';
    return redirect()->route('secciones_admin')->with('message', $message);
  }
  public function secciones_active(Request $request){
     DB::table('categorias')->where('id_cat', $request->id)->update([
        'estatus' => $request->estatus
      ]);
    $message = 'Se actualizó correctamente';
    return redirect()->back()->with('message', $message);
  }

  //crud categorias ------------------------------------------------------------------------
  public function categorias(){
    $info = DB::table('tipo_de_nota')->orderBy('tipo_name', 'DESC')->get();
    return view('admin.categorias.lista_categorias', compact('info'));
  }
  public function categorias_edit($id){
    $info = DB::table('tipo_de_nota')->orderBy('tipo_name', 'DESC')->get();
    $edit = DB::table('tipo_de_nota')->where('tipo_id', $id)->orderBy('tipo_name', 'DESC')->get();
    return view('admin.categorias.lista_categorias_edit', compact('info','edit'));
  }
  public function categorias_add(Request $request){
    $nombre = $request->nombre;
    $slug = $request->slug;
    $icon = $request->icono;
    $estatus = $request->estatus;
    $info = DB::table('tipo_de_nota')->insert([
       'tipo_name' => $nombre,
        'slug' => $slug,
        'icon' => $icon,
        'estatus' => $estatus
    ]);
    $message = 'Se actualizó correctamente';
    return redirect()->back()->with('message', $message);
  }
  public function categorias_ed(Request $request){
    $id = $request->id;
    $nombre = $request->nombre;
    $slug = $request->slug;
    $icon = $request->icono;
    $estatus = $request->estatus;
    DB::table('tipo_de_nota')->where('tipo_id', $id)->update([
        'tipo_name' => $nombre,
        'slug' => $slug,
        'icon' => $icon,
        'estatus' => $estatus
      ]);
    
    $message = 'Se actualizó correctamente';
    return redirect()->back()->with('message', $message);
  }
  public function categorias_del(Request $request){
    DB::table('tipo_de_nota')->where('tipo_id', $request->id)->delete();
    $message = 'Se actualizó correctamente';
    return redirect()->route('categorias_admin')->with('message', $message);
  }
  public function categorias_active(Request $request){
     DB::table('tipo_de_nota')->where('tipo_id', $request->id)->update([
        'estatus' => $request->estatus
      ]);
    $message = 'Se actualizó correctamente';
    return redirect()->back()->with('message', $message);
  }

  public function dataAjaxSelect2(Request $request){
    $data = [];

        if($request->has('q')){
            $search = $request->q;
            $data =DB::table('categorias')->select("id_cat as id","nombre as name")
            		->where('nombre','LIKE',"%$search%")
            		->get();
        } else {
          $data =DB::table('categorias')->select("id_cat as id","nombre as name")
            		->get();
        }
        return response()->json($data);
  }
  public function dataAjaxTags(Request $request){
    $data = [];
        if($request->has('q')){
            $search = $request->q;
            $data =DB::table('tag')->select("id_tag as id","tag as name")
            		->where('tag','LIKE',"%$search%")
            		->get();
        }
        return response()->json($data);
  }
  
}
