<?php

namespace App\Http\Controllers\Admin;


//Modelo
use App\User;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Http\Requests;
use Illuminate\Support\Facades\Redirect;
use DB;
use Illuminate\Support\Facades\Hash;


class AdministradorController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */

    public function __construct()
    {
        //$this->middleware('auth');
    }

    public function index(Request $request)
    {
        if ($request) {
            $administrador = DB::table('users as s')
                ->select('s.id', 's.name', 's.email')
                ->where('tipo', 1)
                ->get();
            return view('admin.administrador.index', ["administradores" => $administrador]);
        }
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view("admin.administrador.create");
    }
    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        if ($request->password != $request->password_confirmation) {
            return redirect()->back()->withErrors("Las contraseñas no coinciden");
        }
        $pass = Hash::make($request->password);
        $administrador = new User;
        $administrador->name = $request->get('name');
        $administrador->password = $pass;
        $administrador->email = $request->get('email');
        $administrador->nickname = $request->nickname;
        $administrador->texto = $request->texto;

        $imageName = "";
        if ($request->hasFile('foto')) {
            $this->validate($request, [
                'foto' => 'required|image|mimes:jpeg,png,jpg|max:2048',
            ]);
            $imageName = str_replace(" ", "_", strtolower($request->get('nickname'))) . '.' . request()->foto->getClientOriginalExtension();
            request()->foto->move(public_path('periodistas/'), $imageName);
            $administrador->periodista_img = $imageName;
            $periodista_img = $imageName;
        } else {
            $administrador->periodista_img = 'perfil.png';
            $periodista_img = 'perfil.png';
        }

        $administrador->tipo = 1;

        $administrador->save();



        // return Redirect::to('admin/administrador')->with("Success","El administrador se creo correctamente");
        $message = 'El administrador se creo correctamente';
        return redirect()->back()->with('message', $message);
        //$encrypted = Crypt::encryptString('Hello world.');
        //'secret' => encrypt($request->secret)
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        return view('admin.administrador.show', ["administrador" => Administrador::findOrFail($id)]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function editar_admin($id)
    {
        // $administrador=User::findOrFail($id);
        $administrador = DB::table('users')
            ->where('id', $id)
            ->get();
        return view('admin.administrador.edit', ["administrador" => $administrador]);
    }
    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {

        if ($request->password != $request->password_confirmation) {
            return redirect()->back()->withErrors("Las contraseñas no coinciden");
        }
        $administrador = User::findOrFail($id);
        $imageName = "";
        if ($request->hasFile('foto')) {
            $this->validate($request, [
                'foto' => 'required|image|mimes:jpeg,png,jpg|max:2048',
            ]);

            $imagen = DB::table('users')
                ->select('periodista_img as img')
                ->where('id', $id)
                ->get();
            try {
                if (!empty($imagen->img))
                    if (file_exists('public/periodistas/' . $request->imagen_actual)) {
                        ('/public/periodistas/' . $imagen->img);
                    }
            } catch (exception $e) {
                return redirect()->back()->withErrors('Error al actualizar los datos del periodista');
            }
            $imageName = str_replace(" ", "_", strtolower($request->get('nickname'))) . '.' . request()->foto->getClientOriginalExtension();
            request()->foto->move(public_path('periodistas/'), $imageName);
            $administrador->periodista_img = $imageName;
        }
        $administrador->name = $request->get('name');
        $administrador->password = Hash::make($request->password);
        $administrador->email = $request->get('email');
        $administrador->nickname = $request->nickname;
        $administrador->texto = $request->texto;

        $administrador->update();
        $message = 'Se actualizó el registro correctamente';
        return redirect()->back()->with('message', $message);
        // return Redirect::to('admin/administrador')->with('success',"Administrador actualizado correctamente");

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $imagen = DB::table('users')
            ->select('periodista_img as img')
            ->where('id', $id)
            ->get();


        try {
            if (!empty($imagen->periodista_img))
                if (file_exists('public/periodistas/' . $imagen->periodista_img)) {
                    unlink('public/periodistas/' . $imagen->periodista_img);
            }
        } catch (exception $e) {
            return redirect()->back()->withErrors('Error al eliminar los datos del administrador');
        }
        $administrador = DB::table('users')->where('id', '=', $id)->delete();
        // return Redirect::to('admin/administrador')->with('success',"El administrador fue eliminado correctamente");
        $message = 'Se elimino el registro correctamente';
        return redirect()->back()->with('message', $message);
    }


    public function add_editor(Request $request)
    {
        if ($request->password != $request->password_confirmation) {
            return redirect()->back()->withErrors("Las contraseñas no coinciden");
        }
        $administrador = new User;
        $administrador->name = $request->get('name');
        $administrador->password = Hash::make($request->password);
        $administrador->email = $request->get('email');
        $administrador->nickname = $request->nickname;
        $administrador->texto = $request->texto;
        $imageName = "";
        if ($request->hasFile('foto')) {
            $this->validate($request, [
                'foto' => 'required|image|mimes:jpeg,png,jpg|max:2048',
            ]);
            $imageName = str_replace(" ", "_", strtolower($request->get('nickname'))) . '.' . request()->foto->getClientOriginalExtension();
            request()->foto->move(public_path('periodistas/'), $imageName);
            $administrador->periodista_img = $imageName;
        } else {
            $administrador->periodista_img = 'perfil.png';
        }
        $administrador->tipo = 2;

        $administrador->save();

        //return Redirect::to('admin/periodista')->with("Success","El administrador se creo correctamente");
        $message = 'El editor se creo correctamente';
        return redirect()->back()->with('message', $message);
    }
}
//arquitectura de informacion, software.. direccion de proyecto, analisis de sistemas