<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Requests;
use App\Http\Requests\SaveUserRequest;
use App\Http\Controllers\Controller;
use Illuminate\Http\File;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Validator;
use DB;
use View;
use Image;
class NotaController extends Controller
{
  //MUESTRA LISTA DE NOTAS
  // public function index()
  // {

  //   if (Auth::user()->tipo == 1) {
  //     $notas = DB::table('notas')
  //       ->join('menu', 'menu.id_menu', '=', 'notas.id_menu')
  //       //->orderBy('notas.id_nota','DESC')
  //       ->get();
  //   } else {
  //     $id = Auth::user()->id;
  //     $notas = DB::table('notas')
  //       ->join('menu', 'menu.id_menu', '=', 'notas.id_menu')
  //       ->where('notas.periodista', $id)
  //       //->orderBy('notas.id_nota','DESC') 
  //       ->get();
  //   }
  //   $menu = DB::table('menu')->get();
  //   $tags = DB::table('tag')->get();
  //   $periodistas = DB::table('users')->orderBy('name', 'asc')->get();
  //   return view('admin/notas/notas', compact('notas', "menu", "tags", "seccion", "periodistas"));
  // }


  //MUESTRA FORMULARIO PARA CREAR NOTA

  //GUARDA LAS NOTAS
  public function store(Request $request)
  {

    $slug = $request->slug;
    $slug = rtrim($slug);
    $slug_user = $this->createSlug($slug);


    $imagen_file = $request->file('imagenprincipal');
    if ($request->hasFile('imagenprincipal')) {
       $file = $request->file('imagenprincipal');
       $extension = $request->file('imagenprincipal')->extension();
      if (isset($file) || $extension == 'png' || $extension == 'jpg' || $extension == 'gif' || $extension == 'webp') {
        $rand = rand(1, 10);
        $img_nota = $slug_user . '-periodista' . $rand . '.webp';
        $save_path = "public/notas/";
        if (!file_exists($save_path)) {
            mkdir($save_path, 777, true);
        }
        $image = Image::make(request()->imagenprincipal);
        $image->encode('webp')->save('public/notas/' . $img_nota);
      } else {
        // $img_nota = '';
         return redirect()->back()->with('message', "Debe seleccionar una imagen en formato '.png', '.jpg' ó '.webp'");
      }
      
    } else {
      return redirect()->back()->with('message', "Se debe agregar una imagen");
    }


    
    $fecha = $request->fecha;
    $hora = $request->hora;
    $f_completa = $fecha . ' ' . $hora;
    $secciones  = $request->secciones;
    $tags  = $request->tags;
    $principal  = $request->principal;
    $secundario  = $request->secundario;

    if($principal != 0 || $secundario != 0){
      if($principal == 1){
        $lugar_principal = 1;
      } 
      if($secundario == 1){
        $lugar_principal = 2;
      } 
    } else {
      $lugar_principal = 0;
    }
    
    $create = DB::table('notas')->insertGetId([
        'titulo' => $request->nombre,
        'slug' => $slug_user,
        'texto' =>$request->texto,
        'frase' => '',
        'imagen' => $img_nota,
        'video' => $request->youtube,
        'fecha' => $f_completa,
        'status' => $request->estatus,
        'periodista' => $request->editor,
        'descripcion' => $request->descripcion,
        'tipo_de_nota' => $request->tipo_de_nota,
        'template' =>  $request->template,
        'principal' => $lugar_principal,
        'prioridad' => 0
      ]);

    //secciones
     if (isset($secciones)) {
          $nsecciones = count($secciones);
          for ($i = 0; $i < $nsecciones; $i++) {
              if (is_numeric($secciones[$i])) { 
                  $secciones1 = DB::table('nota_has_categoria')->insertGetId(['id_nota' => $create, 'id_categoria' => $secciones[$i]]);
              } 
          }
      }
    //tags
     if (isset($tags)) {
          $ntag = count($tags);
          for ($i = 0; $i < $ntag; $i++) {
              if (is_numeric($tags[$i])) {
                  $tags1 = DB::table('nota_has_tag')->insertGetId(['id_nota' => $create, 'id_tag' => $tags[$i]]);
              } else {
                  $tags_add_n = DB::table('tag')->insertGetId(['tag' => $tags[$i]]);
                  $tags2 = DB::table('nota_has_tag')->insertGetId(['id_nota' => $create, 'id_tag' => $tags_add_n]);
              }
          }
      }
      return redirect()->back()->with('message', "Se agregó la nota correctamente");
  }

  //PERFIL DE LA NOTA
  public function view($id)
  {
    if (Auth::user()->tipo == 1) {
            $nota = DB::table('notas')
              ->where('id_nota', $id)
              ->get();
            $nota_cat = DB::table('nota_has_categoria')
              ->join('categorias', 'categorias.id_cat', '=', 'nota_has_categoria.id_categoria')
              ->where('id_nota', $nota[0]->id_nota)
              ->get();
            $nota_tag = DB::table('nota_has_tag')
              ->join('tag', 'tag.id_tag', '=', 'nota_has_tag.id_tag')
              ->where('id_nota', $nota[0]->id_nota)
              ->get();
            $periodistas = DB::table('users')->orderBy('name', 'DESC')->get();
        } else {
            $id_user = Auth::user()->id;
            
            $nota = DB::table('notas')
              ->where('id_nota', $id)
              ->where('notas.periodista', $id_user)
              ->get();
            if(count($nota) == 0){
              abort(403, 'Acción no autorizada.');
            }
            $nota_cat = DB::table('nota_has_categoria')
              ->join('categorias', 'categorias.id_cat', '=', 'nota_has_categoria.id_categoria')
              ->where('id_nota', $nota[0]->id_nota)
              ->get();
            $nota_tag = DB::table('nota_has_tag')
              ->join('tag', 'tag.id_tag', '=', 'nota_has_tag.id_tag')
              ->where('id_nota', $nota[0]->id_nota)
              ->get();
            $periodistas = DB::table('users')->where('id', Auth::user()->id)->orderBy('name', 'DESC')->get();
        }
        $tipo_de_nota = DB::table('tipo_de_nota')->get();
        // dd($nota_cat);
        return view('admin.notas.editar_nota_general', compact( 'nota', 'tipo_de_nota', 'periodistas','nota_cat','nota_tag'));
  }

  // ACTUALIZA LOS DATOS DE LA NOTICI REGISTRADO
  public function update(Request $request)
  {
    $id = $request->id;
    //secciones
    $slug = $request->slug;
    $slug = rtrim($slug);
    $slug_user = $this->createSlug($slug);

    $imagen_file = $request->file('imagenprincipal');
    if ($request->hasFile('imagenprincipal')) {
       $file = $request->file('imagenprincipal');
       $extension = $request->file('imagenprincipal')->extension();
      if (isset($file) || $extension == 'png' || $extension == 'jpg' || $extension == 'gif' || $extension == 'webp') {
        $rand = rand(1, 10);
        $img_nota = $slug_user . '-nota' . $rand . '.webp';
        $save_path = "public/notas/";
        if (!file_exists($save_path)) {
            mkdir($save_path, 777, true);
        }
        $image = Image::make(request()->imagenprincipal);
        $image->encode('webp')->save('public/notas/' . $img_nota);

        if (file_exists('public/notas/' . $request->img_old)) {
          if (!unlink('public/notas/' . $request->img_old)) { $e = 0; } else { $e = 1;  }
        }

      } else {
        // $img_nota = '';
         return redirect()->back()->with('message', "Debe seleccionar una imagen en formato '.png', '.jpg' ó '.webp'");
      }
      
    } else {
      $img_nota = $request->img_old;
    }    
    $fecha = $request->fecha;
    $hora = $request->hora;
    $f_completa = $fecha . ' ' . $hora;
    $secciones  = $request->secciones;
    $tags  = $request->tags;
    $principal  = $request->principal;
    $secundario  = $request->secundario;

    if($principal != 0 || $secundario != 0){
      if($principal == 1){
        $lugar_principal = 1;
      } 
      if($secundario == 1){
        $lugar_principal = 2;
      } 
    } else {
      $lugar_principal = 0;
    }
    
    $create = DB::table('notas')->where('id_nota', $id)->update([
        'titulo' => $request->nombre,
        'slug' => $slug_user,
        'texto' =>$request->texto,
        'frase' => '',
        'imagen' => $img_nota,
        'video' => $request->youtube,
        'fecha' => $f_completa,
        'status' => $request->estatus,
        'periodista' => $request->editor,
        'descripcion' => $request->descripcion,
        'tipo_de_nota' => $request->tipo_de_nota,
        'template' =>  $request->template,
        'principal' => $lugar_principal,
        'prioridad' => 0
      ]);

    //secciones
     if (isset($secciones)) {

        $nota_cat = DB::table('nota_has_categoria')
          ->join('categorias', 'categorias.id_cat', '=', 'nota_has_categoria.id_categoria')
          ->where('id_nota', $id)
          ->get();
           
        $cat_arr = array();
        foreach ($nota_cat as $key => $val) {
            array_push($cat_arr, strval($val->id_cat));
        }
        $result = array_diff($secciones, $cat_arr);
        $result2 = array_diff($cat_arr, $secciones);
        $cuenta_cat = count($result);
        $cuenta2_cat = count($result2);
        if($cuenta_cat != 0 || $cuenta2_cat != 0){
            $del_cat = DB::table('nota_has_categoria')->where('id_nota', $id)->delete();  
            $nsecciones = count($secciones);
            for ($i = 0; $i < $nsecciones; $i++) {
                if (is_numeric($secciones[$i])) { 
                    $secciones1 = DB::table('nota_has_categoria')->insertGetId(['id_nota' => $id, 'id_categoria' => $secciones[$i]]);
                } 
            }
        }
      }
    //tags
     $nota_tag = DB::table('nota_has_tag')
        ->join('tag', 'tag.id_tag', '=', 'nota_has_tag.id_tag')
        ->where('id_nota', $id)
        ->get();
     if (isset($tags)) {
        $tag_arr = array();
        foreach ($nota_tag as $key => $val) {
            array_push($tag_arr, strval($val->id_tag));
        }
        
        $result_tag = array_diff($tags, $tag_arr);
        $result_tag2 = array_diff($tag_arr, $tags);
        $cuenta_tag = count($result_tag);
        $cuenta2_tag = count($result_tag2);
        if($cuenta_tag != 0 || $cuenta2_tag != 0){
          $del_cat = DB::table('nota_has_tag')->where('id_nota', $id)->delete();  
          $ntag = count($tags);
          for ($i = 0; $i < $ntag; $i++) {
              if (is_numeric($tags[$i])) {
                  $tags1 = DB::table('nota_has_tag')->insertGetId(['id_nota' => $id, 'id_tag' => $tags[$i]]);
              } else {
                  $tags_add_n = DB::table('tag')->insertGetId(['tag' => $tags[$i]]);
                  $tags2 = DB::table('nota_has_tag')->insertGetId(['id_nota' => $id, 'id_tag' => $tags_add_n]);
              }
          }
        }
      }
      return redirect()->back()->with('message', "Se actualizó la nota correctamente");
  }


  //ELIMINA LA NOTA SELECCIONADA
  public function destroy(Request $request)
  {

    $id = $request->get('id');
    $imagen = $request->get('imagen');

    // \Storage::disk('imagen_notas')->delete($imagen);
    
    try {

      if (file_exists('public/notas/' . $imagen)) {
        if (!unlink('public/notas/' . $imagen)) { $e = 0; } else { $e = 1;  }
      }
      DB::table("nota_has_categoria")->where("id_nota", $id)->delete();
      DB::table("nota_has_tag")->where("id_nota", $id)->delete();
      $deleted = DB::table("notas")->where("id_nota", $id)->delete();
    
      $message = $deleted ? '¡Se elimino la nota correctamente!' : '¡La nota no pudo eliminarse!';
      return redirect()->back()->with('message', $message);
    } catch (Exception $e) {
      return redirect()->back()->with('message', 'Error - '.$e);
    }
  }

  //ACTIVA Y DESCATIVA LAS NOTAS
  public function act(Request $request)
  {
    $id = $request->get('id');
    $data = [
      'status' => $request->get('aut'),
    ];
    $updated = DB::table('notas')->where('id_nota', $id)->update($data);
    $message = $updated ? 'Nota autorizada correctamente!' : 'La nota no pudo autorizarse!';
    return redirect()->back()->with('message', $message);
  }

  public function ajax_slug(Request $request)
  {
    $nombre = $request->nombre;
    $nombre = rtrim($nombre);
    $slug_slug = $this->createSlug($nombre);
    return response()->json(array('result' => $slug_slug), 200);
  }

  private function createSlug($titulo)
  {
    $titulo = strtolower($titulo);
    $find = array('á', 'é', 'í', 'ó', 'ú', 'ñ', 'É', 'Á', 'Í', 'Ó', 'Ú');
    $repl = array('a', 'e', 'i', 'o', 'u', 'n', 'E', 'A', 'I', 'O', 'U');
    $titulo = str_replace($find, $repl, $titulo);
    $find = array(' ', '&', '\r\n', '\n', '+');
    $titulo = str_replace($find, '-', $titulo);
    $find = array('/[^a-z0-9\-<>]/', '/[\-]+/', '/<[^>]*>/');
    $repl = array('', '-', '');
    $titulo = preg_replace($find, $repl, $titulo);
    return $titulo;
  }


  //agregar notas
   public function agregar_nota(){
         if (Auth::user()->tipo == 1) {
            $periodistas = DB::table('users')->orderBy('name', 'DESC')->get();
        } else {
            $periodistas = DB::table('users')->where('id', Auth::user()->id)->orderBy('name', 'DESC')->get();
        }
        $tipo_de_nota = DB::table('tipo_de_nota')->get();
        return view('admin.notas.agregar_nota_general', compact('periodistas','tipo_de_nota'));
    }

    public function todas_las_notas()
    {
       
        if (Auth::user()->tipo == 1) {
            $notas = DB::table('notas')
                ->select('notas.*', 'notas.slug as slug_nota')
                ->orderBy('id_nota', 'DESC')
                ->get();
        } else {
            $id = Auth::user()->id;
            $notas = DB::table('notas')
                ->select('notas.*', 'notas.slug as slug_nota')
                ->where('notas.periodista', $id)
                ->orderBy('id_nota', 'DESC')
                ->get();

            
        }
        
        $periodistas = DB::table('users')->orderBy('name', 'asc')->get();
        return view('admin.notas.notas_general', compact( 'notas'));
    }

    // public function notas_edit($id_nota)
    // {
    //     $periodistas = DB::table('users')->orderBy('name', 'DESC')->get();
    //     $tags = DB::table('tag')->orderBy('descripcionTag', 'ASC')->get();
    //     $edit = DB::table('notas')->where('id_nota', $id_nota)->get();
    //     $tags_nota = DB::table('nota_has_tag')->leftJoin('tag', 'tag.id_tag', '=', 'nota_has_tag.id_tag')->where('id_nota', $id_nota)->orderBy('id_notaTag', 'ASC')->get();
        
    //     return view('admin.notas.editar_nota', compact( 'periodistas', 'tags', 'edit', 'tags_nota'));
    // }
}
