<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Requests;
use App\Http\Requests\SaveUserRequest;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\Auth;
use View;
use DB;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
    }
    //Sitio Hablemos de dinero
    public function home(Request $request)
    {
        $notas = DB::table('notas')
            ->join('tipo_de_nota', 'notas.tipo_de_nota', '=', 'tipo_de_nota.tipo_id')
            ->join('nota_has_categoria', 'notas.id_nota', '=', 'nota_has_categoria.id_nota')
            ->leftjoin('categorias', 'nota_has_categoria.id_categoria', '=', 'categorias.id_cat')
            ->select('notas.titulo','notas.descripcion','notas.slug','notas.imagen','notas.fecha','tipo_de_nota.tipo_name','tipo_de_nota.icon','tipo_de_nota.slug as tipo_slug','categorias.nombre','categorias.slug as cat_slug')
            ->orderBy('notas.id_nota','desc')
            ->groupBy('notas.id_nota')
            // ->limit(1)->get();
            ->paginate(8);
        // dd($notas);
        if ($request->ajax()) {
            return view('sitio.lista_notas', compact('notas'));
        }
        $principales = DB::table('notas')->join('tipo_de_nota', 'notas.tipo_de_nota', '=', 'tipo_de_nota.tipo_id')->select('notas.*','tipo_de_nota.icon')->where('principal', 1)->orderBy('id_nota','desc')->limit(5)->get();
        $sub_principales = DB::table('notas')->join('tipo_de_nota', 'notas.tipo_de_nota', '=', 'tipo_de_nota.tipo_id')->select('notas.*','tipo_de_nota.icon')->where('principal', 2)->orderBy('id_nota','desc')->limit(5)->get();
        return view('sitio.inicio', compact('principales','sub_principales', 'notas'));
    }

    public function buscador(Request $request)
    {
        date_default_timezone_set('America/Mexico_City');
        $f3 = new \DateTime();
        $f3->format('Y-m-d H:i:s');
        
        $q = $request->q;
        $clave = $request->clave;
        $seccion = $request->seccion;
        $categoria = $request->categoria;

        if(!empty($seccion)){
            $notas = DB::table('nota_has_categoria');
            $notas = $notas->join('notas', 'nota_has_categoria.id_nota', '=', 'notas.id_nota');
            $notas = $notas->join('categorias', 'nota_has_categoria.id_categoria', '=', 'categorias.id_cat');
            $notas = $notas->join('tipo_de_nota', 'tipo_de_nota.tipo_id', '=', 'notas.tipo_de_nota');
            $notas = $notas->select('notas.titulo','notas.descripcion','notas.slug','notas.imagen','notas.fecha','tipo_de_nota.tipo_name','tipo_de_nota.icon','tipo_de_nota.slug as tipo_slug','categorias.nombre','categorias.slug as cat_slug');
        } else {
            $notas = DB::table('notas');
            $notas = $notas->join('tipo_de_nota', 'notas.tipo_de_nota', '=', 'tipo_de_nota.tipo_id');
            $notas = $notas->join('nota_has_categoria', 'notas.id_nota', '=', 'nota_has_categoria.id_nota');
            $notas = $notas->join('categorias', 'nota_has_categoria.id_categoria', '=', 'categorias.id_cat');
            $notas = $notas->select('notas.id_nota','notas.titulo','notas.descripcion','notas.slug','notas.imagen','notas.fecha','tipo_de_nota.tipo_name','tipo_de_nota.icon','tipo_de_nota.slug as tipo_slug','categorias.nombre','categorias.slug as cat_slug');

        }
        if (!empty($categoria)) {
            $notas = $notas->orwhere('tipo_de_nota.slug', 'like', '%' . $seccion . '%');
        } 
        if (!empty($q)) {
            $notas = $notas->where('notas.titulo', 'like', '%' . $q . '%');
        } 
        if (!empty($clave)) {
            $notas = $notas->where('notas.tags', 'like', '%' . $clave . '%');
        } 
        if (!empty($seccion)) {
            $notas = $notas->where('categorias.nombre', 'like', '%' . $seccion . '%');
        }
        $notas = $notas->orderBy('notas.fecha','DESC')->groupBy('nota_has_categoria.id_nota');
        $notas = $notas->paginate(9);
        // $notas = $notas->groupBy('nota_has_categoria.id_nota')->limit(4)->get();

        if ($request->ajax()) {
            return view('sitio.lista_notas', compact('notas', 'q', 'clave', 'seccion', 'categoria'));
        }
        // $busqueda = $slug_nota;
        return view('sitio.resultado_buscador', compact('notas', 'q', 'clave', 'seccion', 'categoria'));
    }


    public function nota_individual($slug)
    {
        date_default_timezone_set('America/Mexico_City');
        $f3 = new \DateTime();
        $f3->format('Y-m-d H:i:s');
        //nota
        $nota = DB::table('notas')
            ->join('tipo_de_nota', 'notas.tipo_de_nota', '=', 'tipo_de_nota.tipo_id')
            ->select('notas.*','tipo_de_nota.tipo_name','tipo_de_nota.icon','tipo_de_nota.slug as tipo_slug')
            ->where('notas.slug', $slug)
            ->orderBy('notas.id_nota','desc')
            ->limit(1)
            ->get();
        //tags
        $id_nota = $nota[0]->id_nota ?? 0;
        $tags = DB::table('nota_has_categoria')
            ->leftjoin('categorias', 'nota_has_categoria.id_categoria', '=', 'categorias.id_cat')
            ->where('nota_has_categoria.id_nota', $id_nota)->get();
        //notas Categorias
        $id_tag = $tags[0]->id_categoria ?? 0;
         
        $notas_categoria = DB::table('nota_has_categoria')
            ->join('notas', 'nota_has_categoria.id_nota', '=', 'notas.id_nota')
            ->join('tipo_de_nota', 'notas.tipo_de_nota', '=', 'tipo_de_nota.tipo_id')
            ->join('categorias', 'nota_has_categoria.id_categoria', '=', 'categorias.id_cat')
            ->select('notas.titulo','notas.descripcion','notas.slug','notas.imagen','notas.fecha','tipo_de_nota.tipo_name','tipo_de_nota.icon','tipo_de_nota.slug as tipo_slug','categorias.nombre','categorias.slug as cat_slug')
            ->where('nota_has_categoria.id_categoria', $id_tag)
            ->where('notas.slug','!=',$slug)
            ->groupBy('nota_has_categoria.id_nota')
            ->orderBy('notas.id_nota','desc')
            ->limit(3)->get();
        
         $notas = DB::table('notas')
            ->join('tipo_de_nota', 'notas.tipo_de_nota', '=', 'tipo_de_nota.tipo_id')
            ->join('nota_has_categoria', 'notas.id_nota', '=', 'nota_has_categoria.id_nota')
            ->leftjoin('categorias', 'nota_has_categoria.id_categoria', '=', 'categorias.id_cat')
            ->select('notas.titulo','notas.descripcion','notas.slug','notas.imagen','notas.fecha','tipo_de_nota.tipo_name','tipo_de_nota.icon','tipo_de_nota.slug as tipo_slug','categorias.nombre','categorias.slug as cat_slug')
            ->where('notas.slug','!=',$slug)
            ->groupBy('nota_has_categoria.id_nota')
            ->orderBy('notas.id_nota','desc')
            ->limit(5)->get();
        return view('sitio.nota', compact('nota', 'id_nota', 'notas', 'notas_categoria', 'tags', 'slug'));
    }

    public function newsletter(Request $request)
    {
        $new = DB::table('newsletter')->insert(['email' => $request->news, 'id_sitio' => 1, 'fecha' => date('Y-m-d H:i:s') ]);        
        return redirect()->back()->with('activo', 1);
    }
}
