@extends('layouts.admin', ['id' => 1])
@section('contenido')

@include('admin/title_section', ['title' => "Categorías", 'one' => "Categorías", 'one_url' => "admin/", 'back' => "admin/"])

<div class="content">
  <form action="{{route('categorias_ed')}}" method="post" enctype="multipart/form-data">
    @csrf
    <div class="container-fluid">
        <div class="row">
            <!-- <div class="col-md-12"> -->

            <div class="col-md-4">

                <div class="card card-primary card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-plus"></i>
                                Ediar Categorías 
                            </h3>
                        </div>
                        <div class="card-body">

                        <div class="form-group row">
                            <label for="nombre" class=" col-form-label">Título <span>*</span></label>
                            <input type="text" id="nombre" class="form-control" name="nombre" required value="{{$edit[0]->tipo_name ?? ''}}">
                            <input type="hidden" name="id" value="{{$edit[0]->tipo_id ?? 0}}">
                        </div>
                       
                       <div class="form-group row">
                            <label for="icono" class=" col-form-label">Icono <span>*</span></label>
                            <input type="text" id="icono" class="form-control" name="icono" required value="{{$edit[0]->icon ?? ''}}">
                            
                                <small style="margin-left: 5%;"><a href="https://ionic.io/ionicons/v2/cheatsheet.html" target="_blank">Link Iconos Ionic</a></small>
                                <small style="margin-left: 5%;"><a href="https://fontawesome.com/v4/icons/" target="_blank">Link Iconos FontAwesone</a></small>
                            
                        </div>
                       <?php 
                            $estatus = $edit[0]->estatus ?? 0;
                        ?>
                        <div class="form-group row">
                        <label for="estatus" class=" col-form-label">Estatus</label>
                                <select name="estatus" id="estatus" class="form-control">
                                <option value="0" <?php if($estatus == 0){ echo 'selected'; } ?>>Activo</option>
                                <option value="1" <?php if($estatus == 1){ echo 'selected'; } ?>>Inactivo</option>
                                </select>
                        </div>
                        

                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->

                    <div class="card card-primary card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                            <i class="fab fa-searchengin"></i>
                                SEO
                            </h3>
                        </div>
                        <div class="card-body">
                       
                        <div class="form-group row">
                            <label for="slug" class=" col-form-label">Slug*</label>
                            <input type="text"  class="form-control" id="slug" name="slug" required value="{{$edit[0]->slug ?? ''}}">
                        </div>
                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->

                    <div id="waypoint"></div>

                    <div class="card card-success card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                            <i class="far fa-save"></i>
                                Guardar
                            </h3>
                        </div>
                        <div class="card-body">
                            <div style="display:flex; justify-content:center; align-items:center">
                                <button type="submit" class="btn btn-success"><i class="far fa-paper-plane"></i> Guardar</button>
                            </div>
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->
                </div>

                <div class="form-actions form-actions-fixed-top hidden">
                    <h3 class="titulo_nav">Ediar Categoría</h3>
                    <div class="btn-set">
                        <button type="submit" class="btn btn-success"><i class="far fa-paper-plane"></i> Guardar</button> 
                    </div>
                </div>

            </form>


                <div class="col-md-8">
                    <div class="card card-primary card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-info"></i>
                                Información del sitio
                            </h3>
                        </div>
                        <div class="card-body">


                        <div class="table table-responsive">
                                <table class="table table-bordered table-striped" id="table">
                                    <thead>
                                        <tr class="filters">
                                            <th>ID</th>
                                            <th>Título</th>
                                            <th>Estatus</th>
                                            <th>Acciones</th>
                                            
                                        </tr>
                                    </thead>
                                    <tbody>
                                <?php $i=1; ?>
                                @foreach ($info as $v)
                                        <tr>
                                            <td><strong>{{$v->tipo_id}}</strong></td>
                                            <td>{{$v->tipo_name}}</td>
                                            <td>
                                                @if($v->estatus == 1)
                                                <form method="post" action="{{route('categorias_active')}}" style="display: inline-block;">
                                                {!! csrf_field() !!}
                                                <input type="hidden" name="id" value="{{$v->tipo_id}}">
                                                <input type="hidden" name="estatus" value="0">
                                                <!-- <button type="submit" class="btn btn-danger">Inactivo</button> -->
                                                <input type="submit" class="btn btn-danger" value="Inactivo">
                                                </form>
                                                @else
                                                <form method="post" action="{{route('categorias_active')}}" style="display: inline-block;">
                                                {!! csrf_field() !!}
                                                <input type="hidden" name="id" value="{{$v->tipo_id}}">
                                                <input type="hidden" name="estatus" value="1">
                                                <!-- <button type="submit" class="btn btn-success">Activo</button> -->
                                                <input type="submit" class="btn btn-success" value="Activo">
                                                </form>
                                                @endif
                                            </td>
                                            
                                            <td>
                                                <a href="{{route('categorias_edit', $v->tipo_id)}}" style=" " class="btn btn-primary" title="Editar">
                                                    <i class="fa fa-edit" data-size="20" title="Editar"></i>
                                                </a>
                                           
                                                <a  data-toggle="modal" data-target="#del{{$v->tipo_id}}" class="btn btn-danger"><i class="fas fa-trash" data-size="20"  title="Eliminar"></i>
                                                </a>
                                                <div class="modal fade" id="del{{$v->tipo_id}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
                                                <div class="modal-dialog" role="document">
                                                    <div class="modal-content">
                                                    <div class="modal-header" style="background:#DF1B1B;">
                                                    <h3 class="modal-title" style="color: white"><strong>Confirmación de Eliminación</strong></h3>
                                                    </div>
                                                    <p class="lead text-muted text-center" style="display: block;margin:10px">Esta acción eliminará de forma permanente el registro:<br>
                                                        <strong>{{$v->tipo_name}}</strong>
                                                    </p>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-md btn-default" data-dismiss="modal">Cancelar</button>
                                                        <form method="post" action="{{route('categorias_del')}}" style="display: inline-block;">
                                                        {!! csrf_field() !!}
                                                        <input type="hidden" name="id" value="{{$v->tipo_id}}">
                                                        <input type="submit" class="btn btn-md btn-danger" value="Aceptar">
                                                        </form>
                                                    </div>
                                                    </div>
                                                </div>
                                                </div>
                                            </td>
                                        </tr>
                                @endforeach
                                    </tbody>
                                </table>
                                </div>

            

                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->
                </div>
            <!-- </div>/.col 12 -->
        </div>
    </div>




</div>

<script>
   //Ediar slug
    //  $( "#nombre").blur(function() {
        $("#nombre").keyup(function () {
        var nombre = $('#nombre').val();
        var token = '{{csrf_token()}}';
        var data = { nombre: nombre, _token: token };
        $.ajax({
            type: "post",
            url: "{{url('admin/ajax_slug')}}",
            data: data,
            success: function (result) {
                //console.log(result.result);
                $("#slug").val(result.result);
            }
        });
    });

    
  
</script>

@endsection