@extends('layouts.admin', ['id' => 1])
@section('contenido')

@include('admin/title_section', ['title' => "Notas", 'one' => "Notas", 'one_url' => "admin/", 'back' => "admin/"])

<div class="content">
    <div class="container-fluid">
        <div class="row">
            <!-- <div class="col-md-12"> -->



                <div class="col-md-12">
                    <div class="card card-primary card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-list"></i>
                                Listado de Notas
                            </h3>
                            <a href="{{url('admin/agregar_nota')}}" class="btn btn-primary" style="    font-size: 13px; padding: 5px; margin: -5px; float: right;"><i class="fas fa-plus"></i>  Agregar Nota</a>
                        </div>
                        <div class="card-body">


                        <div class="table table-responsive">
                <table class="table table-bordered table-striped" id="table">
                    <thead>
                        <tr class="">
                            <th class="">ID</th>
                            <th class="">Fecha</th>
                            <th>Título</th>
                            <th>Estatus</th>
                            <th>Acciones</th>
                        </tr>
                    </thead>
                    <tbody>
                   <?php $i=1;  ?>
                   @foreach ($notas as $n)
                        <tr>
                          <td>{{$n->id_nota}}</td>
                          <td><strong>{{ date('d-m-Y', strtotime($n->fecha)) }}</strong></td>
                          <td>{{$n->titulo}}</td>
                          <td>
                            @if($n->status == 0)  
                               <form method="post" action="{{url('admin/nota_act')}}" style="display: inline-block;">
                                   {!! csrf_field() !!}
                                   <input type="hidden" name="id" value="{{$n->id_nota}}">
                                   <input type="hidden" name="aut" value="1">
                                   <button type="submit" class="btn btn-xs btn-danger">Sin Autorizar</button>
                                   </form>
                            @else 
                               <form method="post" action="{{url('admin/nota_act')}}" style="display: inline-block;">
                                   {!! csrf_field() !!}
                                   <input type="hidden" name="id" value="{{$n->id_nota}}">
                                   <input type="hidden" name="aut" value="0">
                                   <button type="submit" class="btn btn-xs btn-success">Autorizado</button>
                                   </form>
                            @endif 
                          </td>
                          <td>
                              
                                 
                                  <a href="{{url('nota/'.$n->slug_nota)}}" target="_blank" class="btn btn-warning">  <i class="fa fa-eye" data-size="20" title="Ver Nota"></i></a>
                                <a href="{{url('admin/nota_edit/'.$n->id_nota)}}" class="btn btn-primary">  <i class="fa fa-edit" data-size="20" title="Editar Nota"></i></a>

                                <button type="submit" data-toggle="modal" data-target="#del{{$n->id_nota}}" class="btn btn-danger"><i class="fas fa-trash" data-size="20" title="Eliminar Nota"></i>
                                </button>
                                <div class="modal fade" id="del{{$n->id_nota}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
                                  <div class="modal-dialog" role="document">
                                    <div class="modal-content">
                                    <div class="modal-header" style="background:#DF1B1B;">
                                      <h3 class="modal-title"><strong>Confirmación de Eliminación</strong></h3>
                                    </div>
                                      <p class="lead text-muted text-center" style="display: block;margin:10px">Esta acción eliminará de forma permanente la Nota:<br><strong>{{$n->titulo}}</strong></p>
                                      <div class="modal-footer">
                                        <button type="button" class="btn btn-md btn-default" data-dismiss="modal">Cancelar</button>
                                        <form method="post" action="{{url('admin/nota_delete')}}" style="display: inline-block;">
                                         {!! csrf_field() !!}
                                         <input type="hidden" name="id" value="{{$n->id_nota}}">
                                         <input type="hidden" name="imagen" value="{{$n->imagen}}">
                                         <button type="submit" class="btn btn-md btn-danger">Aceptar</button>
                                        </form>
                                      </div>
                                    </div>
                                  </div>
                                </div>
                            </td>
                     
                        </tr>
               @endforeach
                    </tbody>
                </table>
            </div>



                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->
                </div>
            <!-- </div>/.col 12 -->
        </div>
    </div>




</div>

<script>
   //crear slug
    //  $( "#nombre").blur(function() {
        $("#nombre").keyup(function () {
        var nombre = $('#nombre').val();
        var token = '{{csrf_token()}}';
        var data = { nombre: nombre, _token: token };
        $.ajax({
            type: "post",
            url: "{{url('admin/ajax_slug')}}",
            data: data,
            success: function (result) {
                //console.log(result.result);
                $("#slug").val(result.result);
            }
        });
    });

    
  $(function () {
    // Replace the <textarea id="editor1"> with a CKEditor
    // instance, using default configuration.
    CKEDITOR.replace('editor');
  });
</script>

@endsection