<?php
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Auth::routes();

Route::get('inicio', 'HomeController@home')->name('home')->middleware("cors");
Route::get('/', 'HomeController@home')->name('home')->middleware("cors");
Route::post('newsletter', 'HomeController@newsletter')->name('newsletter')->middleware("cors");
//BUSCADOR
Route::get("buscar", 'HomeController@buscador')->name('buscador')->middleware("cors");
Route::get('nota/{id}', 'HomeController@nota_individual')->name('nota')->middleware("cors");

//ADMINISTRADOR
//CRUD DE ADMINISTRADORES

Route::group(["prefix" => 'admin', "middleware" => "auth", 'middleware' => 'administradorMiddleware'], function () {
	Route::get('/', 'Admin\AdminController@index')->name('admin.inicio');
	Route::get('/inicio', 'Admin\AdminController@index')->name('admin.dashboard');
	// Route::get('/periodista', 'PeriodistaController@index')->name('periodista.dashboard');
	// Route::get('/editarPeriodista/{id}', 'PeriodistaController@edit')->name('editarPeriodista');

});
Route::group(['namespace' => 'Admin', 'prefix' => 'admin', 'middleware' => 'auth'], function () {
	Route::resource('administrador', 'AdministradorController');

	Route::get('editor', 'AdminController@editor');
	Route::get('agregar_editor', 'AdminController@agregar_editor');
	Route::get('editar_editor/{id}', 'AdminController@editor_edit');
	Route::post('add_editor', 'AdministradorController@add_editor');
	Route::get('editar_admin/{id}', 'AdministradorController@editar_admin')->name('editar_admin');

	//RUTAS DE NOTA
	Route::get('agregar_nota', 'NotaController@agregar_nota');
	Route::get('todas_las_notas', 'NotaController@todas_las_notas');

	Route::resource('nota_news', 'NotaController');
	// Route::get('nota_create', 'NotaController@index');
	Route::post('crear_nota', 'NotaController@store');
	//Ruta crear nota vista
	// Route::get('create_note', 'NotaController@showNewNote')->name("newNote");
	// Route::get('nota_view', 'NotaController@index')->name('verNotas');
	Route::get('nota_edit/{id}', 'NotaController@view');
	// Route::get('nota_edit', 'NotaController@index');
	Route::post('nota_edit', 'NotaController@update');
	// Route::get('nota_delete', 'NotaController@index');
	Route::post('nota_delete', 'NotaController@destroy');
	// Route::get('nota_act', 'NotaController@index');
	Route::post('nota_act', 'NotaController@act');
	// Route::post('ajax_contenido1', 'NotaController@contenido1');

	Route::get('perfil', 'AdminController@perfil');
	Route::post('perfil_ed', 'AdminController@perfil_ed');
	Route::post('perfil_pass', 'AdminController@perfil_pass');
	//ajax
	Route::post('ajax_slug', 'NotaController@ajax_slug');
	Route::post('ajax_file', 'AdminController@ajax_file');
	Route::post('ajax_file_document', 'AdminController@ajax_file_document');
	
	// Route::post('ajax_sub_categoria', 'SitioAdminController@ajax_sub_categoria');
	// Route::post('ajax_categoria', 'SitioAdminController@ajax_categoria');
	// Route::post('ajax_seccion', 'SitioAdminController@ajax_seccion');

	// Route::post('crear_nota', 'SitioAdminController@crear_nota');
	// Route::post('editar_nota', 'SitioAdminController@editar_nota');

	Route::get('sitios', 'AdminController@sitios')->name('sitios');


	Route::group(['middleware' => 'administradorMiddleware'], function () {
		//RUTAS SECCION NEWSLETTER
		Route::get('newsletter', 'AdminController@newsletter')->name('newsletteradmin');

		Route::post('csv', 'AdminController@csv');

		Route::get('secciones', 'AdminController@secciones')->name('secciones_admin');
		Route::get('secciones_edit/{edit}', 'AdminController@secciones_edit')->name('secciones_edit');
		Route::post('secciones_add', 'AdminController@secciones_add')->name('secciones_add');
		Route::post('secciones_ed', 'AdminController@secciones_ed')->name('secciones_ed');
		Route::post('secciones_del', 'AdminController@secciones_del')->name('secciones_del');
		Route::post('secciones_active', 'AdminController@secciones_active')->name('secciones_active');

		Route::get('categorias', 'AdminController@categorias')->name('categorias_admin');
		Route::get('categorias_edit/{edit}', 'AdminController@categorias_edit')->name('categorias_edit');
		Route::post('categorias_add', 'AdminController@categorias_add')->name('categorias_add');
		Route::post('categorias_ed', 'AdminController@categorias_ed')->name('categorias_ed');
		Route::post('categorias_del', 'AdminController@categorias_del')->name('categorias_del');
		Route::post('categorias_active', 'AdminController@categorias_active')->name('categorias_active');
		
		Route::get('/select2-autocomplete-ajax', 'AdminController@dataAjaxSelect2')->name('select2_ajax');
		Route::get('/dataAjaxTags', 'AdminController@dataAjaxTags')->name('select2_ajax_tags');

		
	});
});

Route::group(['middleware' => 'auth', 'middleware' => 'periodistaMiddleware'], function () {
	Route::get('/miInformacion/{id}', 'PeriodistaController@edit')->name('periodistaInfo');
});
