<!DOCTYPE html>
<html lang="es">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
  <title>Administrador | Admin Hablemos de dinero</title>
  
  <link rel="icon" type="image/png" href="<?php echo e(url('/public/img/logo_simple.png')); ?>">
  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="<?php echo e(url('public/admin/plugins/fontawesome-free/css/all.min.css')); ?>">
  <!-- Theme style -->
  <link rel="stylesheet" href="<?php echo e(url('public/admin/dist/css/adminlte.min.css')); ?>">
  <link rel="stylesheet" href="<?php echo e(url('public/admin/dist/tags/bootstrap-tagsinput.css')); ?>">
  <link rel="stylesheet" href="<?php echo e(url('public/admin/style.css')); ?>">
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.23/css/dataTables.bootstrap4.min.css">

<!-- jQuery -->
<script src="<?php echo e(url('public/admin/plugins/jquery/jquery.min.js')); ?>"></script>
</head>
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="<?php echo e(url('admin/inicio')); ?>" class="nav-link">Inicio</a>
      </li>
      <!-- <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Contact</a>
      </li> -->
    </ul>

    <!-- SEARCH FORM -->
    <!-- <form class="form-inline ml-3">
      <div class="input-group input-group-sm">
        <input class="form-control form-control-navbar" type="search" placeholder="Search" aria-label="Search">
        <div class="input-group-append">
          <button class="btn btn-navbar" type="submit">
            <i class="fas fa-search"></i>
          </button>
        </div>
      </div>
    </form> -->

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
      <!-- Messages Dropdown Menu -->
      <li class="nav-item dropdown">
        <a class="nav-link" href="<?php echo e(url('/')); ?>" target="_blank">
        <i class="fas fa-globe"></i>
        <span class=" ">Ver Sitio Web</span>
        </a>
      </li>
      
      <li class="nav-item dropdown">
        <a href="#" class="nav-link" href="<?php echo e(url('logout')); ?>"
            onclick="event.preventDefault();
                      document.getElementById('logout-form').submit();">
            <i class="fas fa-sign-out-alt"></i>
        </a>
        <form id="logout-form" action="<?php echo e(url('logout')); ?>" method="POST" style="display: none;">
          <?php echo e(csrf_field()); ?>

        </form>
      </li>
     
    </ul>
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="<?php echo e(url('admin/inicio')); ?>" class="brand-link" style="background:#fff;">
      <img src="<?php echo e(url('/public/img/logo_simple.png')); ?>" alt=" Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light" style="color:black; font-size:1rem">Panel de Administración</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="<?php echo e(url('public/periodistas/'.Auth::user()->periodista_img)); ?>" class="img-circle elevation-2" alt="User Image" style="background: white; object-fit: contain; width: 33px; height: 33px;">
        </div>
        <div class="info">
          <a href="<?php echo e(url('admin/perfil')); ?>" class="d-block"><?php echo e(Auth::user()->name); ?></a>
        </div>
      </div>

      <!-- SidebarSearch Form -->
      <!-- <div class="form-inline">
        <div class="input-group" data-widget="sidebar-search">
          <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
          <div class="input-group-append">
            <button class="btn btn-sidebar">
              <i class="fas fa-search fa-fw"></i>
            </button>
          </div>
        </div>
      </div> -->

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->

               <?php if(Auth::user()->tipo == 1){ ?>

          <li class="nav-item">
            <a href="<?php echo e(url('admin/sitios')); ?>" class="nav-link">
              <i class="nav-icon far fa-list-alt"></i>
              <p>
                Sitios
              </p>
            </a>
          </li>
          <?php } ?>
          <li class="nav-item">
            <a href="<?php echo e(url('admin/agregar_nota')); ?>" class="nav-link">
              <i class="nav-icon far fa-plus-square"></i>
              <p>
                Agregar Nota
              </p>
            </a>
          </li>
          <li class="nav-item">
            <a href="<?php echo e(url('admin/todas_las_notas')); ?>" class="nav-link">
              <i class="nav-icon fas fa-clipboard-list"></i>
              <p>
                Todas las Notas
              </p>
            </a>
          </li>
          
          <?php if(Auth::user()->tipo == 1){ ?>
          <li class="nav-item">
            <a href="<?php echo e(url('admin/periodista')); ?>" class="nav-link">
              <i class="nav-icon fas fas fa-user"></i>
              <p>
                Editores
              </p>
            </a>
          </li>
          <!-- <li class="nav-item">
            <a href="<?php echo e(url('admin/tags')); ?>" class="nav-link">
              <i class="nav-icon fas fa-tags"></i>
              <p>
                Tags
              </p>
            </a>
          </li> -->
          <li class="nav-item">
            <a href="<?php echo e(url('admin/administrador')); ?>" class="nav-link">
              <i class="nav-icon fas fa-users"></i>
              <p>
                Administradores
              </p>
            </a>
          </li>
          <li class="nav-item">
            <a href="<?php echo e(url('admin/mensajes')); ?>" class="nav-link">
            <i class="nav-icon far fa-address-card"></i>
              <p>
                Contacto
              </p>
            </a>
          </li>
          <li class="nav-item">
            <a href="<?php echo e(url('admin/newsletter')); ?>" class="nav-link">
              <i class="nav-icon far fa-newspaper"></i>
              <p>
                Newsletter
              </p>
            </a>
          </li>
          <?php } ?>
          <li class="nav-item">
            <a href="<?php echo e(url('admin/perfil')); ?>" class="nav-link">
            <i class="nav-icon far fa-id-badge"></i>
              <p>
                Mi Perfil
              </p>
            </a>
          </li>
         


        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <?php if(\Session::has('message')): ?>
        <div class="alert alert-primary alert-dismissible text-center" role="alert">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            <h2 style="font-size:1.5rem"><strong><i class="fa fa-info-circle"></i></strong> <?php echo e(\Session::get('message')); ?></h2>
        </div>
    <?php endif; ?>
    <?php echo $__env->yieldContent('contenido'); ?>
    
  </div>
  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->


<!-- Bootstrap 4 -->
<script src="<?php echo e(url('public/admin/plugins/bootstrap/js/bootstrap.bundle.min.js')); ?>"></script>
<!-- AdminLTE App -->
<script src="<?php echo e(url('public/admin/dist/js/adminlte.min.js')); ?>"></script>
<!-- AdminLTE for demo purposes -->
<script src="<?php echo e(url('public/admin/dist/js/demo.js')); ?>"></script>
<script src="<?php echo e(url('public/admin/dist/tags/bootstrap-tagsinput.min.js')); ?>"></script>
<script src="<?php echo e(url('public/admin/dist/js/jquery.waypoints.min.js')); ?>"></script>
<script type="text/javascript" src="https://cdn.datatables.net/v/dt/jszip-2.5.0/dt-1.10.24/b-1.7.0/b-html5-1.7.0/datatables.min.js"></script>

<script src="https://cdn.datatables.net/1.10.23/js/dataTables.bootstrap4.min.js"></script>
<script src="<?php echo e(url('public/admin/script.js')); ?>"></script>

  
</body>
</html>
<?php /**PATH /Applications/MAMP/htdocs/revista/resources/views/layouts/admin.blade.php ENDPATH**/ ?>