<!DOCTYPE html>
<html lang="es">

<head>
    <?php
    $info = DB::table('sitios')
        ->leftJoin('sitio_informacion', 'sitio_informacion.id_sitio', '=', 'sitios.id')
        ->where('sitios.id', $id)
        ->get();
    $color = $info[0]->color;
    $logo = $info[0]->logo;
    date_default_timezone_set('America/Mexico_City');
    $f3 = new \DateTime();
    $f3->format('Y-m-d H:i:s');
    $menu = DB::table('menu')
        ->where('id_sitio', $id)
        ->where('active', 0)
        ->get();
    $menu_actual = DB::table('menu')
        ->where('id_menu', $id_menu)
        ->where('active', 0)
        ->get();
    $banner = DB::table('banner')
        ->where('id_sitio', $id)
        ->where('active', 0)
        ->get();
    ?>

    <meta charset="UTF-8">
    <meta name="viewport" content="initial-scale=1.0, width=device-width" />
    <meta name="author" content="Hablemos de dinero">
    <meta name="robots" content="index,follow" />

    <!-- Mobile Metas -->
    <?php if (isset($og_url)) { ?>
        <meta property="og:url" content="<?php echo e($og_url); ?>" />
    <?php } else { ?>
        <meta property="og:url" content="<?php echo e(url('/')); ?>" />
    <?php } ?>
    <?php if (isset($og_title)) { ?>
        <meta property="og:title" content="<?php echo $og_title; ?>" />
    <?php } else { ?>
        <meta property="og:title" content="<?php echo $info[0]->nombre; ?>" />
    <?php } ?>
    <?php if (isset($og_description)) { ?>
        <meta name="description" content="<?php echo $og_description; ?>" />
        <meta property="og:description" content="<?php echo $og_description; ?>" />
    <?php } else { ?>
        <meta name="description" content="<?php echo $info[0]->descripcion_seo; ?>" />
        <meta property="og:description" content="<?php echo $info[0]->descripcion_seo; ?>" />
    <?php } ?>
    <?php if (isset($og_image)) { ?>
        <meta property="og:image" content="<?php echo e($og_image); ?>" />
        <meta property="og:image:alt" content="Imagen <?php echo $og_title; ?>" />
    <?php } else { ?>
        <meta property="og:image" content="<?php echo e(url('public/img/' . $logo)); ?>" />
        <meta property="og:image:alt" content="Logo Hable de Dinero" />
    <?php } ?>
    <?php if (isset($og_type)) { ?>
        <meta property="og:type" content="<?php echo $og_type; ?>" />
    <?php } else { ?>
        <meta property="og:type" content="website" />
    <?php } ?>
    <?php if (isset($og_key)) { ?>
        <meta name="keywords" content="<?php echo $og_key; ?>" />
    <?php } else { ?>
        <meta name="keywords" content="<?php echo $info[0]->keywords_seo; ?>" />
    <?php } ?>

    <meta name="copyright" content="Hablamos de dinero copyright <?php echo date("Y"); ?>" />


    <?php if (isset($menu_actual[0]->descripcionMenu)) { ?>
        <title><?php echo $menu_actual[0]->descripcionMenu; ?> - <?php echo
                                                                    $info[0]->nombre; ?></title>
    <?php } else { ?>
        <title><?php echo $info[0]->nombre; ?></title>
    <?php } ?>

    <!-- Favicon -->
    <link rel="<?php echo e(asset('shortcut icon')); ?>" href="<?php echo e(url('public/img/favicon.png')); ?>" type="image/x-icon" />
    <!-- Web Fonts  -->
    <link rel="stylesheet" href="<?php echo e(url('public/css/weather-icons.min.css')); ?>">
    <link href="https://fonts.googleapis.com/css?family=Rajdhani&display=swap" rel="preload" as="font">
    <link href="https://fonts.googleapis.com/css?family=Poppins&display=swap" rel="preload" as="font">
    <link href="https://fonts.googleapis.com/css?family=Roboto+Condensed%7CRoboto+Slab:300,400,700%7CRoboto:300,400,500,700&display=swap" rel="preload" as="font">
    <!-- Stylesheets -->
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/3.3.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
    <!------ Include the above in your HEAD tag ---------->
    <link rel="stylesheet" href="<?php echo e(url('public/css/bootstrap.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(url('public/css/main.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(url('public/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(url('public/css/colors.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(url('public/css/responsive.css')); ?>">
    <script src="<?php echo e(url('public/js/jquery-3.1.1.min.js')); ?>"></script>


    <!--[if lt IE 9]>
      <script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->
<!-- Global site tag (gtag.js) - Google Analytics -->

<!-- quitar este comentario analytics start
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-43009339-7"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-43009339-7');
</script>

end quitar comentario -->
</head>

<body>
    <style>
        .news li:nth-child(4n+1),
        .news li:nth-child(4n+2),
        .news li:nth-child(4n+3) {
            margin-right: 0% !important;
        }

        .news ul li {
            margin-top: 0px !important;
            width: 100% !important;
            float: none !important;
        }
    </style>
    <div id="pageloader">
        <div class="loader-item"> <img src="<?php echo e(url('public/img/load.gif')); ?>" alt='loader' /> </div>
    </div>

    <!--========== BEGIN #WRAPPER ==========-->
    <div id="wrapper" data-color="red">
        <!--========== BEGIN #HEADER ==========-->
        <header id="header">
            <!-- Begin .top-menu -->
            <div class="top-menu">
                <!-- Begin .container -->
                <div class="container">
                    <!-- Begin .left-top-menu -->
                    <ul class="left-top-menu">
                        <?php if (!empty($info[0]->facebook)) { ?><li> <a href="<?php echo e($info[0]->facebook); ?>" class="facebook" aria-label="Facebook"><i class="fa fa-facebook"></i></a>
                            </li> <?php } ?>
                        <?php if (!empty($info[0]->twitter)) { ?><li> <a href="<?php echo e($info[0]->twitter); ?>" class="twitter" aria-label="Twitter"><i class="fa fa-twitter"></i></a>
                            </li>
                        <?php } ?>
                        <?php if (!empty($info[0]->youtube)) { ?><li> <a href="<?php echo e($info[0]->youtube); ?>" class="youtube" aria-label="YouTube"> <i class="fa fa-youtube"></i></a>
                            </li>
                        <?php } ?>
                        <?php if (!empty($info[0]->linkedin)) { ?><li> <a href="<?php echo e($info[0]->linkedin); ?>" class="linkedin" aria-label="Linkedin"><i class="fa fa-linkedin"></i></a>
                            </li> <?php } ?>
                        <?php if (!empty($info[0]->instagram)) { ?><li> <a href="<?php echo e($info[0]->instagram); ?>" class="instagram" aria-label="Instagram"> <i class="fa fa-instagram"></i></a>
                            </li> <?php } ?>
                        <?php if (!empty($info[0]->telefono)) { ?><li class="address">
                                <a><i class="fa fa-phone"></i> +<?php echo e($info[0]->telefono); ?></a>
                            </li> <?php } ?>
                        <?php if (!empty($info[0]->correo)) { ?><li class="address"><a href="mailto:<?php echo e($info[0]->correo); ?>"><i class="fa fa-envelope-o"></i><?php echo e($r->correo); ?></a></li> <?php }
                                                                                                                                                                                        ?>
                    </ul>
                    <!-- End .left-top-menu -->

                    <!-- Begin .right-top-menu -->
                    <ul class="right-top-menu pull-right">
                        <!-- <li class="contact"><a href="contact.html"><i class="fa fa-map-marker fa-i"></i></a></li> -->
                        <?php if (!empty($slug)) { ?>
                            <li class="about"><a href="<?php echo e(url($slug . '/contactanos')); ?>" title="Contactanos"><i class="fa fa-envelope"></i></a> </li>
                        <?php } else { ?>
                            <li class="about"><a href="<?php echo e(url('contactanos')); ?>" title="Contactanos"><i class="fa fa-envelope"></i></a> </li>
                        <?php } ?>
                        <li>
                            <div class="search-container">
                                <div class="search-icon-btn" style="background: <?php echo $color; ?> !important">
                                    <button class="fa fa-search" style="background: none; border: none;" onclick="
                            var buscador = document.getElementById('buscador');
                            if(buscador.value.length>0)
                              window.location.replace('<?php echo url('buscar/'); ?>/'+buscador.value);
                            " aria-label="Buscador">
                                    </button>
                                </div>
                                <div class="search-input">
                                    <input type="search" id="buscador" class="search-bar" placeholder="Buscador..." title="Buscador" />
                                </div>
                            </div>
                        </li>
                    </ul>
                    <!-- End .right-top-menu -->
                </div>
                <!-- End .container -->
            </div>
            <!-- End .top-menu -->

            <!-- Begin .container -->
            <div class="">

                <!-- Begin .header-logo -->

                <div class="header-logo" style=" display:flex; justify-content:center; width:100%; align-items: center;">
                    <?php if (!empty($slug)) { ?>
                        <a href="<?php echo e(url($slug . '/')); ?>">
                        <?php } else { ?>
                            <a href="<?php echo e(url('./')); ?>">
                            <?php } ?>
                            <img src="<?php echo e(url('/public/img/' . $logo)); ?>" alt="Logo Hablemos de dinero" style="width: 300px; height: auto;" />
                            </a>
                            <!-- End .header-logo -->
                            <!-- Begin .header-add-place -->
                            
                            <?php if (count($banner) != 0) { ?>
                                <?php if ($banner[0]->active == 0) { ?>
                                    <a href="<?php echo e($banner[0]->enlace); ?>" style="padding-right: 50px; margin-left: 15%;">
                                        <picture>
                                            <source srcset="<?php echo e(url('public/img/banner/' . $banner[0]->slug . '.webp')); ?>" type="image/webp">
                                            <source srcset="<?php echo e(url('public/img/banner/' . $banner[0]->slug . '.jpg')); ?>" type="image/jpeg">
                                            <img src="<?php echo e(url('public/img/banner/' . $banner[0]->slug . '.jpg')); ?>" alt="Banner <?php echo e($banner[0]->nombre); ?>" style="height: 80px;">
                                        </picture>
                                    </a>
                                <?php } ?>
                            <?php } ?>
                            

                </div>
                <!--<script async src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
          <ins class="adsbygoogle"
              style="display:inline-block;width:728px;height:90px"
              data-ad-client="ca-pub-8605238533981009"
              data-ad-slot="9474493207"></ins>
          <script>
              (adsbygoogle = window.adsbygoogle || []).push({});
          </script>-->

                <!-- End .header-add-place -->
                <!--========== BEGIN .NAVBAR #MOBILE-NAV ==========-->
                <nav class="navbar navbar-default" id="mobile-nav">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" id="sidenav-toggle" aria-label="Menú"> <span class="icon-bar"></span> <span class="icon-bar"></span> <span class="icon-bar"></span>
                        </button>
                        <div class="sidenav-header-logo">
                            <?php if (!empty($slug)) { ?>
                                <a href="<?php echo e(url($slug . '/')); ?>">
                                <?php } else { ?>
                                    <a href="<?php echo e(url('./')); ?>">
                                    <?php } ?>
                                    <img src="<?php echo e(url('/public/img/' . $logo)); ?>" style="  height: auto;  width: 150px;" alt="Logo Hablemos de dinero" />

                                    </a>
                        </div>
                    </div>
                    <div class="sidenav" data-sidenav data-sidenav-toggle="#sidenav-toggle">
                        <button type="button" class="navbar-toggle active" data-toggle="collapse" aria-label="Menú"> <span class="icon-bar"></span> <span class="icon-bar"></span> <span class="icon-bar"></span>
                        </button>
                        <div class="sidenav-brand" style="    height: 70px !important;">
                            <div class="sidenav-header-logo">
                                <?php if (!empty($slug)) { ?>
                                    <a href="<?php echo e(url($slug . '/')); ?>">
                                    <?php } else { ?>
                                        <a href="<?php echo e(url('./')); ?>">
                                        <?php } ?>
                                        <img src="<?php echo e(url('/public/img/' . $logo)); ?>" alt="Logo Hablemos de dinero" />
                                        </a>
                            </div>
                        </div>

                        <ul style="    display: flex;
          flex-direction: column;
          justify-content: center;
          align-items: center;
          width: 100%;">



                            <?php foreach ($menu as $key => $v) : ?>

                                <li style="    width: 100%;
                                    min-height: 50px;
                                    display: flex;
                                    justify-content: center;
                                    align-items: center;   <?php if ($id_menu == $v->id_menu) {
                                                                echo 'background:#2c2c34 !important;';
                                                            } ?> ">

                                    <?php if (!empty($slug)) { ?>
                                        <a href="<?php echo e(url($slug . '/' . $v->url_menu)); ?>" style="color:white; display: flex;
                                    justify-content: center;
                                    align-items: center;">
                                        <?php } else { ?>
                                            <a href="<?php echo e(url($v->url_menu)); ?>" style="color:white; width: 100%; display: flex;
                                    justify-content: center;
                                    align-items: center;">
                                            <?php } ?>
                                            <?php echo e($v->descripcionMenu); ?>




                                            </a>


                                </li>

                            <?php endforeach; ?>



                        </ul>
                    </div>
                </nav>
                <!--========== END .NAVBAR #MOBILE-NAV ==========-->
            </div>
            <!-- End .container -->
            <!--========== BEGIN .NAVBAR #FIXED-NAVBAR ==========-->
            <div class="navbar" id="fixed-navbar">
                <!--========== BEGIN MAIN-MENU .NAVBAR-COLLAPSE COLLAPSE #FIXED-NAVBAR-TOOGLE ==========-->
                <div class="main-menu nav navbar-collapse collapse" id="fixed-navbar-toggle" style="background: <?php echo $color; ?> !important">
                    <!--========== BEGIN .CONTAINER ==========-->
                    <div class="">
                        <!-- Begin .nav navbar-nav -->
                        <ul class="nav navbar-nav">

                            <?php foreach ($menu as $key => $v) : ?>
                                <li <?php if ($id_menu == $v->id_menu) {
                                        echo 'style="background:#2c2c34 !important;"';
                                    } ?>>

                                    <?php if (!empty($slug)) { ?>
                                        <a href="<?php echo e(url($slug . '/' . $v->url_menu)); ?>"><?php echo e($v->descripcionMenu); ?></a>
                                    <?php } else { ?>
                                        <a href="<?php echo e(url('./' . $v->url_menu)); ?>"><?php echo e($v->descripcionMenu); ?></a>
                                    <?php } ?>
                                </li>
                            <?php endforeach; ?>
                            <!--========== BEGIN .DROPDOWN ==========-->


                            <!--========== END .DROPDOWN ==========-->
                            <!--========== BEGIN DROPDOWN MEGA-DROPDOWN ==========-->
                            <!--========== END DROPDOWN MEGA-DROPDOWN ==========-->
                        </ul>
                        <!--========== END .NAV NAVBAR-NAV ==========-->
                    </div>
                    <!--========== END .CONTAINER ==========-->
                </div>
                <!--========== END MAIN-MENU .NAVBAR-COLLAPSE COLLAPSE #FIXED-NAVBAR-TOOGLE ==========-->
                <!--========== BEGIN .SECOND-MENU NAVBAR #NAV-BELOW-MAIN ==========-->
                <div class="second-menu navbar" id="nav-below-main">
                    <!-- Begin .container -->
                    <div class="container">
                        <!-- Begin .collapse navbar-collapse -->
                        <div class="collapse navbar-collapse nav-below-main">
                            <!-- Begin .nav navbar-nav -->
                            <ul class="nav navbar-nav">
                            </ul>
                            <!-- End .nav navbar-nav -->
                        </div>
                        <!-- End .collapse navbar-collapse -->
                        <!-- Begin .clock -->
                        <div class="clock">
                            <div id="time" style="background: <?php echo $color; ?> !important">
                            </div>
                            <div id="date"></div>
                        </div>
                        <!-- End .clock -->
                    </div>
                    <!-- End .container -->
                </div>
                <!--========== END .SECOND-MENU NAVBAR #NAV-BELOW-MAIN ==========-->
            </div>
        </header>
        <!--========== END #HEADER ==========-->
        <!--========== BEGIN #MAIN-SECTION ==========-->
        <section id="main-section" style="padding-top: 0px;">
            <div class="container">
<?php /**PATH /Applications/MAMP/htdocs/hablemosdedinero/resources/views/layouts/header.blade.php ENDPATH**/ ?>